/*
 *   Copyright (c) 2012 Mike Heath.  All rights reserved.
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 *
 */
package nats.client;

import nats.NatsException;

import java.net.SocketAddress;

/**
 * @author Mike Heath <elcapo@gmail.com>
 */
public class ServerReconnectFailed extends NatsException {

	private final SocketAddress address;

	public ServerReconnectFailed(SocketAddress address) {
		super("Reconnect fail to server: " + address);
		this.address = address;
	}

	public SocketAddress getAddress() {
		return address;
	}
}
